:root {
    --pink: rgb(242, 179, 202);
}

html, body {
    min-height: 100%;
    width: 100%;
    box-sizing: border-box;
}

html {
    cursor: url('bobacursor.cur'), auto;
    background-color: black;
    
    border-style: solid;
    border-color: var(--pink);
    border-width: 1em;

    color: var(--pink);
    font-family: "gridlite-pe-variable", sans-serif;
    font-variation-settings: 'wght' 900, 'BACK' 200, 'RECT' 200, 'ELSH' 3;
}

.flexcont {
    display: flex;
    justify-content: center; /*aligns container contents horizontally*/
    align-items: center; /*aligns container contents vertically*/
}

.flexcont video {
    position: absolute;
    top: 30%;

    width: 50vw;
    height: auto;
    border: 0.5em solid rgba(242, 179, 202, 0);
    transition: 0.3s ease-in;
}

.flexcont video:hover {
    border-color: rgba(242, 179, 202, 1);
}

.menu {
    z-index: 1000;
    position: absolute;
    width: 5%;
    top: 5%;
    left: 72.5%;
    color: white;
}

.menu_bar {
    position: absolute;
    top: 0%;

    background-color: var(--pink);
    border: none;
    background: 10;

    border-top: 2em solid black;
    border-bottom: 2em solid black;

    width: 100%;
    height: 0.5%;

    transition: top 0.5s ease, background-color 0.5s ease;
}

.menu_div { /*THIS. SHIT. TOOK. FOREVER. FUCK CSS*/
    z-index: 1000;
    position: absolute;
    display: inline-block;

    right: 6.5%;
    width: 10%;
    height: 80%;
}

.menu_div a {
    position: absolute;

    color: var(--pink);
    width: 100%;
    font-family: "gridlite-pe-variable",sans-serif;
    font-variation-settings: 'wght' 900, 'BACK' 1, 'RECT' 1, 'ELSH' 3;
    left: 0px;

    opacity: 0;
    transition: opacity 0.5s ease;

    font-size: clamp(16px, 2vw, 36px);
    transition: 0.5s ease;
}

.menu_div a:hover {
    background-color: var(--pink);
    color: black;
}

.boba {
    z-index: 10;
    position: absolute;
    background-image: url("bobaball.png");
    background-size: contain;
    height: 20px;
    width: 20px;
    transition: transform 1s ease-out;
}

#scroll_to_top {
    top: 5%;
    left: 5%;
    position: fixed;
    background-color: black;
    color: var(--pink);

    width: 10%;
    height: 7%;

    border: 0.25em solid var(--pink);
    border-radius: 0.5em;
    font-family: "gridlite-pe-variable", sans-serif;
    font-variation-settings: 'wght' 900, 'BACK' 1, 'RECT' 1, 'ELSH' 3;
    font-size: 15pt;

    opacity: 0;
    visibility: hidden;
    transition: background-color 0.5s ease-in-out,
                color 0.5s ease-in-out,
                opacity 0.4s ease-in-out,
                visibility 0.3s ease-in-out;
  }

  .transition {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }
  
  #scroll_to_top:hover {
    background-color: var(--pink);
    color: black;
  }

  #scroll_to_top.visible {
    z-index: 999;
    opacity: 1;
    visibility: visible;
}

.fade-out {
    opacity: 0;
}

.file-wrapper {
    position: relative;
    margin-top: 2em;
}

.file-wrapper img, video {
    max-width: 60%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.file-container {
    position: relative;
    top: 5em;
    padding-bottom: 10em;
}

#inflating_text{
    position: absolute;
    top: 0em;

    font-size: 500%;

    animation-name: inflation_animation;
    animation-duration: 1s;
    animation-timing-function: none;
    font-variation-settings: 'wght' 900, 'BACK' 200, 'RECT' 200, 'ELSH' 3;
}

@keyframes inflation_animation {
    0% {font-variation-settings: 'wght' 500, 'BACK' 200, 'RECT' 200, 'ELSH' 3;}
    100% {font-variation-settings: 'wght' 900, 'BACK' 200, 'RECT' 200, 'ELSH' 3;}
}

hr {
    display: block;
    height: 5px;
    border: 5px;
    border-top: 5px solid white;
    margin: 1em 0;
    padding: 0;

    top: 7.5%;
}

#normal_text{
    font-family: "gridlite-pe-variable",sans-serif;
    font-variation-settings: 'wght' 900, 'BACK' 1, 'RECT' 1, 'ELSH' 3;
}